Bug 1572714

Summary: SELinux is preventing ssh-keygen from 'open' accesses on the plik /etc/passwd.
Product: [Fedora] Fedora Reporter: Marek Michał Mazur <marek90>
Component: snapdAssignee: Zygmunt Krynicki <me>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: dwalsh, lvrabec, me, mgrepl, ngompa13, plautrba, pmoore
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:b1f952c66a7bf15bbf98797b6346d25124bee71cfc86c4c812fb36e32573dab5;VARIANT_ID=workstation;
Fixed In Version: snapd-2.35-1.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-30 04:55:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Marek Michał Mazur 2018-04-27 16:45:34 UTC
Description of problem:
SELinux is preventing ssh-keygen from 'open' accesses on the plik /etc/passwd.

*****  Plugin catchall (100. confidence) suggests   **************************

Aby ssh-keygen powinno mieć domyślnie open dostęp do passwd file.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
można tymczasowo zezwolić na ten dostęp wykonując polecenia:
# ausearch -c 'ssh-keygen' --raw | audit2allow -M my-sshkeygen
# semodule -X 300 -i my-sshkeygen.pp

Additional Information:
Source Context                system_u:system_r:snappy_t:s0
Target Context                system_u:object_r:passwd_file_t:s0
Target Objects                /etc/passwd [ file ]
Source                        ssh-keygen
Source Path                   ssh-keygen
Port                          <Nieznane>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           setup-2.10.10-1.fc27.noarch
Policy RPM                    selinux-policy-3.13.1-283.32.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.3-200.fc27.x86_64 #1 SMP Thu
                              Apr 19 19:33:38 UTC 2018 x86_64 x86_64
Alert Count                   24
First Seen                    2018-04-13 06:36:10 CEST
Last Seen                     2018-04-27 18:37:40 CEST
Local ID                      27be7f24-8dde-4586-9a81-188aaab338cc

Raw Audit Messages
type=AVC msg=audit(1524847060.796:254): avc:  denied  { open } for  pid=2435 comm="snap-seccomp" path="/etc/passwd" dev="dm-0" ino=937785 scontext=system_u:system_r:snappy_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file permissive=1


Hash: ssh-keygen,snappy_t,passwd_file_t,file,open

Version-Release number of selected component:
selinux-policy-3.13.1-283.32.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.16.3-200.fc27.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-08-25 21:42:47 UTC
snapd-glib-1.43-1.fc28 snapd-2.35-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d4624b7af

Comment 2 Fedora Update System 2018-08-27 00:26:15 UTC
snapd-2.35-1.fc28, snapd-glib-1.43-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d4624b7af

Comment 3 Fedora Update System 2018-08-30 04:55:31 UTC
snapd-2.35-1.fc28, snapd-glib-1.43-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.